Bug 1703373 - Mistake in /etc/default/grub after upgrade from F29
Summary: Mistake in /etc/default/grub after upgrade from F29
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-26 09:39 UTC by ozeszty
Modified: 2020-05-26 15:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:00:46 UTC
Type: Bug


Attachments (Terms of Use)

Description ozeszty 2019-04-26 09:39:29 UTC
Description of problem:
After successful upgrade to F30, system booted with F29 kernel.

# cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-5.0.7-200.fc29.x86_64 root=UUID=... ro rhgb quiet ipv6.disable=1GRUB_ENABLE_BLSCFG=true

It turned out that last line of /etc/default/grub (I might have removed an empty new line sometime since installation of this system) was changed from
GRUB_CMDLINE_LINUX_DEFAULT="ipv6.disable=1"
to
GRUB_CMDLINE_LINUX_DEFAULT="ipv6.disable=1GRUB_ENABLE_BLSCFG=true"

The above might have been modified by grub-custiomizer, I've run it before editing /etc/default/grub, but after the upgrade - so GRUB_ENABLE_BLSCFG=true might have been added after quotation mark, but I don't know.

After fixing it and regenerating grub.cfg, only Windows installation was detected.
After commenting out GRUB_ENABLE_BLSCFG=true, grub menu was properly populated and system booted with F30 kernel.

Version-Release number of selected component (if applicable):
grub2-common-1:2.02-78.fc30.noarch

How reproducible:
Once, after upgrade.

Steps to Reproduce:
1. Upgrade F29 (upgraded since ~F23, installed next to Windows 7) with
# dnf system-upgrade download --releasever=30 --setopt='module_platform_id=platform:f30' --enablerepo=*testing
2. Notice ipv6 enabled and wrong kernel booted
3. Run grub-customizer 
4. manually split last line in /etc/default/grub and notice only windows entries after regenerating
5. Comment out GRUB_ENABLE_BLSCFG=true, regenerate grub config, successfully boot F30 kernel

Actual results:
Mistake in /etc/default/grub added during system upgrade, no Fedora entries in grub after enabling BLS.

Expected results:
GRUB_ENABLE_BLSCFG=true added in a new line, BLS working or not forced.

Additional info:
Dell OptiPlex 780, latest BIOS.

Before upgrade GRUB_DISABLE_SUBMENU="true" was commented out in /etc/default/grub.

# dnf history info last
Identyfikator transakcji   : 492
Czas rozpoczęcia           : wto, 23 kwi 2019, 19:59:51
Rozpoczęcie bazy danych RPM: ...
Czas ukończenia            : wto, 23 kwi 2019, 21:17:20 (77 min)
Ukończenie bazy danych RPM : ...
Użytkownik                 : System <nie ustawiono>
Kod zwrotny                : Powodzenie
Releasever     : 30
Wiersz poleceń : system-upgrade upgrade
Zmienione pakiety:
...
    Upgrade                         grub2-common-1:2.02-78.fc30.noarch                                @updates-testing
    Upgraded                        grub2-common-1:2.02-62.fc29.noarch                                @@System
    Upgrade                         grub2-efi-x64-1:2.02-78.fc30.x86_64                               @updates-testing
    Upgraded                        grub2-efi-x64-1:2.02-62.fc29.x86_64                               @@System
    Upgrade                         grub2-pc-1:2.02-78.fc30.x86_64                                    @updates-testing
    Upgraded                        grub2-pc-1:2.02-62.fc29.x86_64                                    @@System
    Upgrade                         grub2-pc-modules-1:2.02-78.fc30.noarch                            @updates-testing
    Upgraded                        grub2-pc-modules-1:2.02-62.fc29.noarch                            @@System
    Upgrade                         grub2-tools-1:2.02-78.fc30.x86_64                                 @updates-testing
    Upgraded                        grub2-tools-1:2.02-62.fc29.x86_64                                 @@System
    Upgrade                         grub2-tools-efi-1:2.02-78.fc30.x86_64                             @updates-testing
    Upgraded                        grub2-tools-efi-1:2.02-62.fc29.x86_64                             @@System
    Upgrade                         grub2-tools-extra-1:2.02-78.fc30.x86_64                           @updates-testing
    Upgraded                        grub2-tools-extra-1:2.02-62.fc29.x86_64                           @@System
    Upgrade                         grub2-tools-minimal-1:2.02-78.fc30.x86_64                         @updates-testing
    Upgraded                        grub2-tools-minimal-1:2.02-62.fc29.x86_64                         @@System
    Upgrade                         grubby-8.40-30.fc30.x86_64                                        @updates-testing
    Upgraded                        grubby-8.40-18.fc29.x86_64                                        @@System
...
Wyjście skryptu:
   1 ostrzeżenie: Unable to get systemd shutdown inhibition lock: Failed to connect to socket /run/dbus/system_bus_socket: Nie ma takiego pliku ani katalogu
   2 ostrzeżenie: /etc/shadow utworzono jako /etc/shadow.rpmnew
   3 ostrzeżenie: /var/lib/unbound/root.key zapisano jako /var/lib/unbound/root.key.rpmsave
   4 dbus-daemon.service is not active, cannot reload.
   5 Failed to get unit file state for initial-setup-graphical.service: No such file or directory
   6 Failed to get unit file state for initial-setup-text.service: No such file or directory
   7 Failed to get unit file state for initial-setup-graphical.service: No such file or directory
   8 Failed to get unit file state for initial-setup-text.service: No such file or directory
   9 Warning: The unit file, source configuration file or drop-ins of mlocate-updatedb.timer changed on disk. Run 'systemctl daemon-reload' to reload units.
  10 /var/tmp/rpm-tmp.IRQ7zE: linia 2:  8985 Naruszenie ochrony pamięci   (zrzut pamięci) /usr/lib64/vlc/vlc-cache-gen /usr/lib64/vlc/plugins &> /dev/null
  11 
  12 ** (process:24499): CRITICAL **: 21:12:32.333: Failed to get connection to xfconfd: Cannot autolaunch D-Bus without X11 $DISPLAY

Comment 1 ozeszty 2019-04-26 19:47:19 UTC
I forgot to add, it happened on Cinnamon Spin.

Comment 2 ozeszty 2019-05-03 11:30:20 UTC
Around 29th I upgraded another Cinnamon computer dual-booting with windows, this time I made sure there was an empty newline, but so did the upgrade (it ended up with en empty newline before GRUB_ENABLE_BLSCFG=true). Anyway, braking of config did not happen this time.

Still, I had to comment out GRUB_ENABLE_BLSCFG=true in /etc/default/grub and install grubby-deprecated to have automatically updated grub menu.

No issues with BLS after upgrade on computer with just Fedora KDE. Not sure whether it's an issue with dual-booting with windows, GRUB_DISABLE_SUBMENU="true" or some other changes made by grub-customizer, all three are common for Cinnamon computers, white KDE was a fresh F29 beta install with minimal grub changes (just two additional kernel boot parameters).

Comment 3 Ben Cotton 2020-04-30 22:07:51 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-05-26 15:00:46 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.